diff options
author | Oz Linden <oz@lindenlab.com> | 2016-12-07 14:09:20 -0500 |
---|---|---|
committer | Oz Linden <oz@lindenlab.com> | 2016-12-07 14:09:20 -0500 |
commit | c89c1e5f612e9f688aa3094ed0a7998d191b0256 (patch) | |
tree | 4b5e189f1afd2893e678e7e7d31277a6a2692cca | |
parent | 07a36b1da497abde625c9d7fb163dfaf2a57f17e (diff) |
correct paths for building llphysicsextensions_tpv package
-rwxr-xr-x | build.sh | 9 |
1 files changed, 4 insertions, 5 deletions
@@ -114,18 +114,17 @@ package_llphysicsextensions_tpv() tpv_status=0 if [ "$variant" = "Release" ] then - llpetpvcfg=$build_dir/packages/llphysicsextensions/autobuild-tpv.xml - "$autobuild" build --quiet --config-file $llpetpvcfg -c Tpv + tpvconfig=$(native_path "$build_dir/packages/llphysicsextensions/autobuild-tpv.xml") + "$autobuild" build --quiet --config-file "$tpvconfig" -c Tpv || fatal "failed to build llphysicsextensions_tpv" # capture the package file name for use in upload later... PKGTMP=`mktemp -t pgktpv.XXXXXX` trap "rm $PKGTMP* 2>/dev/null" 0 - "$autobuild" package --quiet --config-file $llpetpvcfg --results-file "$(native_path $PKGTMP)" + "$autobuild" package --quiet --config-file "$tpvconfig" --results-file "$(native_path $PKGTMP)" || fatal "failed to package llphysicsextensions_tpv" tpv_status=$? if [ -r "${PKGTMP}" ] then - cat "${PKGTMP}" >> "$build_log" - eval $(cat "${PKGTMP}") # sets autobuild_package_{name,filename,md5} + . "${PKGTMP}" # sets autobuild_package_{name,filename,md5} autobuild_package_filename="$(shell_path "${autobuild_package_filename}")" echo "${autobuild_package_filename}" > $build_dir/llphysicsextensions_package fi |